Bug 494341 - kernels newer than 2.6.29-0.258.2.3.rc8.git2.fc11.i586 stall at udev
kernels newer than 2.6.29-0.258.2.3.rc8.git2.fc11.i586 stall at udev
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
i586 Linux
low Severity high
: ---
: ---
Assigned To: Jonathan Blandford
Fedora Extras Quality Assurance
:
: 498072 (view as bug list)
Depends On:
Blocks: IntelKMS
  Show dependency treegraph
 
Reported: 2009-04-06 09:44 EDT by Jeff Guerdat
Modified: 2013-04-02 00:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-07 17:35:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Guerdat 2009-04-06 09:44:30 EDT
Description of problem:
Kernel released with F11 beta boots fine.  Updates, including the latest on koji (2.6.29.1-52.fc11.i586), start booting but never get through the starting udev display.  Have to power-cycle to reboot.  All updates have been applied.

Version-Release number of selected component (if applicable):
kernel.i586 2.6.29.1-46.fc11 and newer

How reproducible:
Always

Steps to Reproduce:
1.Install kernel
2.Boot
3.
  
Actual results:
udev message displayed with blinking cursor for a couple of seconds, cursor disappears, no response to anything other than power button.

Expected results:
Normal boot

Additional info:
Toshiba Satellite A105
Comment 1 Chuck Ebbert 2009-04-08 10:36:17 EDT
Looks like the video device is Radeon Xpress 200M.

Can you try adding 'nomodeset' to the boot options?
Comment 2 Jeff Guerdat 2009-04-08 11:51:24 EDT
Video is Intel Mobile 915GM.  Using nomodeset works regardless - I'm adding this note from a successful boot.
Comment 3 Jeff Guerdat 2009-04-08 16:19:39 EDT
Installed latest kernel (2.6.29.1-54.fc11.i586) and Intel X11 driver from rawhide with no help - still need to use "nomodeset".
Comment 4 Jeff Guerdat 2009-05-05 14:51:22 EDT
Discovered that the use of a vga= kernel option negates the need for nomodeset, at least with the latest rawhide kernel (2.6.29.2-126.fc11.i686.PAE).  I added vga=864 to my kernel line in grub.conf and, while I get a blank screen during boot and shutdown, all works properly.
Comment 5 Will Woods 2009-05-19 18:24:13 EDT
*** Bug 498072 has been marked as a duplicate of this bug. ***
Comment 6 Will Woods 2009-05-19 18:29:17 EDT
Argh, mixed up the dup direction. Fixing assignee/component/blocks.

This sounds similar to bug 493526, which concerns boot hangs with kernel-PAE and systems with intel video and 4GB (or more) RAM.

How much RAM is in your system? Have you tried using a x86_64 Live image instead?
Comment 7 Jeff Guerdat 2009-05-19 19:12:36 EDT
The system is maxed out at 2GB of RAM.  This is not a 64 bit CPU AFAIK - Intel Pentium® M Processor 740.  If the 64 bit Live image would work, let me know and I'll try it.
Comment 8 Will Woods 2009-05-19 19:28:44 EDT
You're correct, it's not 64-bit capable, so ignore that suggestion. And since you don't have 4GB ram it's probably not the same bug.
Comment 9 Will Woods 2009-05-20 02:03:51 EDT
Can you try this test kernel:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1365129
and let us know if it works?
Comment 10 Jeff Guerdat 2009-05-20 08:32:23 EDT
Same old same old.  Use of a vga= option still gives a blank screen but booting works properly.
Comment 11 Bug Zapper 2009-06-09 09:20:33 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Matěj Cepl 2009-11-05 13:25:25 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 14 Jeff Guerdat 2009-11-05 13:55:30 EST
I happen to be running F12 Beta (plus all updates) and no longer need to use the "nomodeset" kernel option.  It was only the install of F12 that allowed this so unless F11 changed in the past two weeks, nothing has changed.  Since I no longer have F11 installed and since F12 seems to have cured the issue, I guess we can close this.  It would have been nice to have been able to actually fix F11, though, rather than having to resort to F12.
Comment 15 Matěj Cepl 2009-11-07 17:35:41 EST
Thank you for letting us know.

Note You need to log in before you can comment on or make changes to this bug.